%Johann Pototschnig, Forttgeschrittene Applikationssoftware, WS 2010/2011
%Programm zum Vergleich von Messdaten mit der Maxwellverteilung

%Initialisierung der Graphik
figh=figure;
data=guihandles(figh);
data.hallo='Maxwell - Verteilung';
data.ax=axes('position',[0,0,1,1]);
set(data.ax,'visible','off');

%Eingabe Masse
data.te1=text(0.05,0.25,'Masse in Einheiten von [u]:' );  
data.ed1=uicontrol('STYLE','edit', ....
                   'Position',[200,95,50,20],...
                    'Callback','data=testcallback(data,1);'); 
set(data.ed1,'string','4')
               
%Eingabe Temperatur
data.te2=text(0.05,0.2,'Temperatur in [K]:' );  
data.ed2=uicontrol('STYLE','edit', ....
                   'Position',[140,75,50,20],...
                    'Callback','data=testcallback(data,2);');             
set(data.ed2,'string','300')   

%Darstellungselemente
data.te3=text(0.45,0.25,'Mittlere Geschwindigkeit [m/s]:' );  
data.te3a=text(0.77,0.25,' 0' );  

data.te4=text(0.45,0.2,'Mittlere quadratische Geschwindigkeit [m/s]:' );  
data.te4a=text(0.89,0.2,' 0' ); 
 
data.te5=text(0.45,0.15,'Wahrscheinlichste Geschwindigkeit [m/s]:' );  
data.te5a=text(0.87,0.15,' 0' ); 

data.ax1=axes('position',[0.1,0.4,0.8,0.5]);
data.bar_load=bar(1:10);
hold on
data.pl1=plot(1:100,zeros(1,100));
data.pl2=plot(1:100,zeros(1,100));
data.pl3=plot(1:100,zeros(1,100));
data.pl4=plot(1:100,zeros(1,100));


set(data.bar_load,'visible','off','FaceColor',[0.5,1,0.5]);
set(data.bar_load,'displayname','Daten');

title(data.hallo);

%Eingabeelemente
data.but=uicontrol('STYLE','pushbutton', ....
                   'Position',[100,40,70,20], ...
                   'String','Zeichnen',...
                   'Callback','data=zcallback(data);');
              
data=zcallback(data);


data.load_button=uicontrol('STYLE','pushbutton', ....
                   'Position',[430,15,100,20], ...
                   'String','Datei laden',...
                   'Callback','data=load_callback(data);');












