%Erzeugung der Geschwindigkeitsvektoren

%Teilchenzahl
N=10000;

%Masse
u=4;
m=u*1.66*10^-27;

%Temperatur
T=300;
kb=1.38*10^-23;
kbT=kb*T;

%dateiname
dateinam='maxwell.txt';

%hist-darstellung
% weite=500*sqrt(T);
% db=weite/100;
% v1=-weite:db:weite;

%Funktion
sigma=sqrt(kbT/m);
fmax=@(x) 1/sigma/sqrt(2*pi)*exp(-1/2*(x./sigma).^2);

%Zufallszahlen
vx=sigma*randn(N,1);
vy=sigma*randn(N,1);
vz=sigma*randn(N,1);

% p1=hist(vx,v1)/N/db;
% figure
% bar(v1,p1);
% hold on
% plot(v1,fmax(v1),'r');

fid=fopen(dateinam,'w');

for lauf=1:N
    fprintf(fid,' %e \t %e \t %e \n',vx(lauf),vy(lauf),vz(lauf));
end

fclose(fid);


